const path = require('path')
const file = path.resolve(_flitter.directories.config, 'database.config.js')

exports.up = async (ctx) => {
    const flap = ctx.flap
    
    if ( await flap.exists(file) ) {
        await flap.find_replace_file(file, /}(?:\s|\n|;)*(?:module\.)?exports/, `
    graphql: {
        endpoint: env('GRAPHQL_ENDPOINT', '/graphql'),
        graphiql: env('GRAPHQL_SHOW_GRAPHIQL', false),
    },
%orig`)
    }
}

exports.down = async (ctx) => {
    const flap = ctx.flap

    if ( await flap.exists(file) ){
        await flap.find_replace_file(file, `
    graphql: {
        endpoint: env('GRAPHQL_ENDPOINT', '/graphql'),
        graphiql: env('GRAPHQL_SHOW_GRAPHIQL', false),
    },`, '')
    }
}
